POST
/bases/rows/infoGet a row from a base
Retrieves a single row from a base. Supply the base's page ID and the row ID to identify the row.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The base and row to retrieve.
pageIdstringrequired
Id of the base. A base *is* a page, so this is the base's page id - the same id you would pass to the page endpoints.
rowIdstringrequired
The UUID of the row to retrieve.
200Returns the requested row.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when access is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the base or row is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when access is forbidden. A 404 is returned when the base or row is not found. pageId and rowId must be UUIDs identifying the base and row.